Bug 72219 - FILEOPEN: DOCX with Symbols are failing while importing
Summary: FILEOPEN: DOCX with Symbols are failing while importing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Rohit Deshmukh
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.1 target:4.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-02 07:12 UTC by Rohit Deshmukh
Modified: 2015-01-22 20:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX with Symbols (12.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-02 07:12 UTC, Rohit Deshmukh
Details
Symbols which are failing (12.76 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-03 13:04 UTC, Rohit Deshmukh
Details
Backtrace (8.50 KB, text/plain)
2013-12-03 13:11 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2013-12-02 07:12:04 UTC
Created attachment 90082 [details]
DOCX with Symbols

Steps to reproduce:

Open file in LibreOffice
Click File -> Save As (.docx)

Current behavior:
Crashing on every save.

Expected behavior:
Creating the file correctly
Comment 1 Cor Nouws 2013-12-02 10:20:59 UTC
Hi Rohit,

The file saves fine for me in 4.2.0.beta1 and 4.1.3.2 on Ubuntu.
What OS and LibreOffice version do you have the problem with?
thanks
Cor
Comment 2 Rohit Deshmukh 2013-12-02 10:26:13 UTC
Hi Cor,
I am using latest master code.
I am using Version 4.3.0.0.alpha0+ (ubuntu)

Thanks for you input.
Comment 3 Maxim Monastirsky 2013-12-02 12:18:20 UTC
Strange, for me LO hangs right after file open. master build (Build ID: 0f4be588622379388650d8fc451829d17d16a7bf) under Fedora 19 (64-bit).
Comment 4 Rohit Deshmukh 2013-12-02 13:20:16 UTC
Hi Maxim,
Sorry for that. I tested on old build. I just checked on latest build. This file failing while importing. I will update the issue of failing while importing.
Comment 5 Rohit Deshmukh 2013-12-03 13:04:17 UTC
Created attachment 90155 [details]
Symbols which are failing
Comment 6 Rohit Deshmukh 2013-12-03 13:11:58 UTC
Created attachment 90156 [details]
Backtrace
Comment 7 Commit Notification 2014-01-08 19:39:27 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8fd15875901d584a4bbcc07c927fa20332e4841

fdo#72219: Fix for corruption of symbols in docx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-01-08 19:47:21 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=994d0c9e7aa8d1a7602e61b770991da980c1cde5&h=libreoffice-4-2

fdo#72219: Fix for corruption of symbols in docx


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-01-08 19:49:40 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2421317990d00e14325298f34db3c60735527697&h=libreoffice-4-1

fdo#72219: Fix for corruption of symbols in docx


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.